Subject: Re: [PATCH 1/3] Git.pm: Add faculties to allow temp files to be cached

From: Marcus Griep <[email-masked]>
Date: Wed, 13 Aug 2008 16:31:15 -0400

Hrmmm...  From what I see in CPAN, File::Spec has been around 
perl since 1998 (around v5.4.7).  Based on this is it safe-ish 
to assume availability of File::Spec?

Or, as I said earlier, should we kick out a submodule for the tempfile
functions?

Marcus Griep wrote:
> Yeesh; didn't realize it would create that heavy of a dependency.
> Perhaps this should be split into a submodule so that Git.pm doesn't
> require the newer dependency.  Eric/Junio?
>
> Lea Wiemann wrote:
>> This makes Git.pm dependent on Perl 5.6.1.  Some tests (like
>> t3701-add-interactive.sh) seem to work with pretty much any Perl version
>> out there, and requiring File::Spec changes this.  Hence to avoid
>> complaints about failing tests, I suggest that you add a check for
>> File::Spec availability at the beginning of any test that (indirectly)
>> uses Git.pm.
>>
>> (All my statements are untested... ;-))
>>
>> -- Lea
> 

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´